# Output

## What should be logged

### Message properties

### System properties

### Variables

### Functions

### Transformation Modules

## When should be logged

### Filter Conditions

> - “traditional” severity and facility based selectors

> - property-based filters

> - expression-based filters

> - BSD-style blocks (not upward compatible)

### Rulesets

## How should be logged

### RainerScript templates

### Legacy format templates

### Properties in templates

### Conditionally choosing a template

## Where should be send: Output Modules

See also

Help with configuring/using `Rsyslog`:

- Mailing list - best route for general questions

- GitHub: rsyslog source project - detailed questions, reporting issues that are believed to be bugs with `Rsyslog`

See also

Contributing to `Rsyslog`:

- Source project: rsyslog project README.

- Documentation: rsyslog-doc project README

Copyright 2008-2023 Rainer Gerhards (Großrinderfeld), and Others.